
publish:
	git checkout $(TAG)
	docker build -f back/Dockerfile.prod -t git.dorfsvald.net/ewandor/cht-lawfirm-back-prod back
	docker tag git.dorfsvald.net/ewandor/cht-lawfirm-back-prod:latest git.dorfsvald.net/ewandor/cht-lawfirm-back-prod:$(TAG)
	docker push git.dorfsvald.net/ewandor/cht-lawfirm-back-prod:latest
	docker push git.dorfsvald.net/ewandor/cht-lawfirm-back-prod:$(TAG)
	docker build -f front/Dockerfile.prod -t git.dorfsvald.net/ewandor/cht-lawfirm-nginx-prod front
	docker tag git.dorfsvald.net/ewandor/cht-lawfirm-nginx-prod:latest git.dorfsvald.net/ewandor/cht-lawfirm-nginx-prod:$(TAG)
	docker push git.dorfsvald.net/ewandor/cht-lawfirm-nginx-prod:latest
	docker push git.dorfsvald.net/ewandor/cht-lawfirm-nginx-prod:$(TAG)
	git switch -
